Package org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface Annotation

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `AnnotationImpl`

      public interface Annotation
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Annotation'.

  The following features are supported:

  - `Name`
  - `Parameters`
  See Also:
    `PatternLanguagePackage.getAnnotation()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns the value of the 'Name' attribute.
    `org.eclipse.emf.common.util.EList<AnnotationParameter>` | `getParameters()` | Returns the value of the 'Parameters' containment reference list.
    `void` | `setName​(java.lang.String value)` | Sets the value of the '`Name`' attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `PatternLanguagePackage.getAnnotation_Name()`
      Generated:
      Model:

    - #### setName

          void setName​(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`
      Generated:

    - #### getParameters

          org.eclipse.emf.common.util.EList<AnnotationParameter> getParameters()

      Returns the value of the 'Parameters' containment reference list. The list contents are of type `AnnotationParameter`.
      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `PatternLanguagePackage.getAnnotation_Parameters()`
      Generated:
      Model:
        containment="true"

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model: